Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000955TestLinkNew Featurepublic2007-07-27 13:442013-05-26 20:11
Reportershirlc 
Assigned ToJulian 
PrioritynormalSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.7.0 RC 3 
Fixed in Version1.9.2 (2011 Q2 - bug fixing) 
Summary0000955: It would be nice to be able to search within a testsuite for the test case search feature.
DescriptionInstead of returning every test case from the whole project it would be nice if we can do searches within a testsuite or any folder on the test case tree.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0001896)
fman (administrator)
2007-07-30 19:43

Please explain better
(0001944)
shirlc (reporter)
2007-08-21 01:13
edited on: 2007-08-28 06:49

1)On main page click Search Test Cases(s)
2)On the Search Pane. All searches will return matches through out the Whole Test Project.

- With the unlimited depths we are creating a depth of 3-4 sub folders for testsuites . It would be nice to be able to choose a sub folder testsuite and do searches just within that test suite. At least for Title, summary, steps, expected result, and keywords searches

- When you do return the testcases found. It would be nice to print out the testsuite folders that the testcase is contained in somewhere with the test case found or better yet be able to click on it to bring you to the correct place in a navigation tree for editing. ex. Testsuite> SubFolder > SubSubFolder > Test Case Id: Test Case Title


- Issue History
Date Modified Username Field Change
2007-07-27 13:44 shirlc New Issue
2007-07-30 19:43 fman Note Added: 0001896
2007-08-21 01:13 shirlc Note Added: 0001944
2007-08-28 06:49 shirlc Note Edited: 0001944
2011-06-03 16:43 fman Status new => resolved
2011-06-03 16:43 fman Fixed in Version => 1.9.2 (2011 Q2 - bug fixing)
2011-06-03 16:43 fman Resolution open => fixed
2011-06-03 16:43 fman Assigned To => Julian
2013-05-26 20:11 fman Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker